This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1311948 - (CVE-2016-0790) CVE-2016-0790 jenkins: Non-constant time comparison of API token (SECURITY-241)
CVE-2016-0790 jenkins: Non-constant time comparison of API token (SECURITY-241)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160224,repo...
: Security
Depends On: 1311951 1311952 1320309 1324676 1324677
Blocks: 1320308 1324911
  Show dependency treegraph
 
Reported: 2016-02-25 06:30 EST by Andrej Nemec
Modified: 2016-08-25 19:27 EDT (History)
15 users (show)

See Also:
Fixed In Version: Jenkins 1.650, Jenkins 1.642.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-25 19:27:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-25 06:30:05 EST
The following flaw was found in Jenkins:

The verification of user-provided API tokens with the expected value did not use a constant-time comparison algorithm, potentially allowing attackers to use statistical methods to determine valid API tokens using brute-force methods.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2016-02-24
Comment 3 errata-xmlrpc 2016-05-03 11:31:58 EDT
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 3.1

Via RHSA-2016:0711 https://access.redhat.com/errata/RHSA-2016:0711
Comment 4 errata-xmlrpc 2016-08-24 15:44:49 EDT
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 2.2

Via RHSA-2016:1773 https://rhn.redhat.com/errata/RHSA-2016-1773.html

Note You need to log in before you can comment on or make changes to this bug.